# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KToolBarLabelAction Class Reference

Class to display a label in a toolbar. More...

`#include <ktoolbarlabelaction.h>`

Inheritance diagram for KToolBarLabelAction:

[legend]
Collaboration diagram for KToolBarLabelAction:

[legend]
List of all members.

## Public Member Functions

| KToolBarLabelAction (const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KToolBarLabelAction (QWidget *buddy, const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KToolBarLabelAction (QLabel *label, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
virtual void | setText (const QString &text)
virtual void | setBuddy (QWidget *buddy)
QWidget * | buddy () const
QLabel * | label () const

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

Class to display a label in a toolbar.

KToolBarLabelAction is a convenience class for displaying a label in a toolbar.

It provides easy access to the label's setBuddy(QWidget*) and buddy() methods and can be used as follows:

     KHistoryCombo* findCombo = new KHistoryCombo(true, this);
     KWidgetAction* action
       = new KWidgetAction(findCombo, i18n("F&ind Combo"), Qt::Key_F6, this,
                           SLOT(slotFocus()), actionCollection(), "find_combo");

     new KToolBarLabelAction(findCombo, i18n("F&ind "), 0, this,
                             SLOT(slotFocus()), actionCollection(),
                 "find_label");

Author:
  Felix Berger <felixberger@beldesign.de>

Definition at line 49 of file ktoolbarlabelaction.h.

## Constructor & Destructor Documentation

KToolBarLabelAction::KToolBarLabelAction | ( | const QString & | text,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | KActionCollection * | parent,
|  | const char * | name
| ) |

Constructs a toolbar label.

Parameters:

  | text | The label's and the action's text.
  | cut | The action's shortcut.
  | receiver | The SLOT's parent.
  | slot | The SLOT to invoke to execute this action.
  | parent | This action's parent.
  | name | An internal name for this action.

Definition at line 35 of file ktoolbarlabelaction.cpp.

KToolBarLabelAction::KToolBarLabelAction | ( | QWidget * | buddy,
|  | const QString & | text,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | KActionCollection * | parent,
|  | const char * | name
| ) |

Constructs a toolbar label setting a buddy for the label.

Parameters:

  | buddy | The widget which is focused when the label's accelerator is typed.
  | text | The label's and the action's text.
  | cut | The action's shortcut.
  | receiver | The SLOT's parent.
  | slot | The SLOT to invoke to execute this action.
  | parent | This action's parent.
  | name | An internal name for this action.

Definition at line 48 of file ktoolbarlabelaction.cpp.

KToolBarLabelAction::KToolBarLabelAction | ( | QLabel * | label,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | KActionCollection * | parent,
|  | const char * | name
| ) |

Constructs a toolbar label for a label.

You can use this constructor if you want to display a class which is derived from QLabel in the toolbar. Note that ownership of the label is transferred to the action and the label is deleted when the action is deleted. So you shouldn't hold any pointers to the label.

It's important that the label's name is set to "kde toolbar widget" in its constructor, otherwise it is not correctly rendered in some kde styles.

Parameters:

  | label | the label which is displayed in the toolbar.
  | cut | The action's shortcut.
  | receiver | The SLOT's parent.
  | slot | The SLOT to invoke to execute this action.
  | parent | This action's parent.
  | name | An internal name for this action.

Definition at line 62 of file ktoolbarlabelaction.cpp.

References label().

## Member Function Documentation

void KToolBarLabelAction::setText | ( | const QString & | text | ) | `[virtual]`

| Reimplemented to update both the action's text and the label's text. Reimplemented from KAction. Definition at line 93 of file ktoolbarlabelaction.cpp. References KAction::setText().

void KToolBarLabelAction::setBuddy | ( | QWidget * | buddy | ) | `[virtual]`

| Sets the label's buddy to buddy. See QLabel::setBuddy() for details. Definition at line 99 of file ktoolbarlabelaction.cpp. References buddy().

QWidget * KToolBarLabelAction::buddy | ( |  | ) | const

| Returns the label's buddy or 0 if no buddy is currently set. See QLabel::buddy() and QLabel::setBuddy() for more information. Definition at line 104 of file ktoolbarlabelaction.cpp. Referenced by setBuddy().

QLabel * KToolBarLabelAction::label | ( |  | ) | const

| Returns the label which is used internally. Definition at line 109 of file ktoolbarlabelaction.cpp. Referenced by KToolBarLabelAction().

The documentation for this class was generated from the following files:

- ktoolbarlabelaction.h
- ktoolbarlabelaction.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:22:37 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003